> For the complete documentation index, see [llms.txt](https://shoppa.gitbook.io/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://shoppa.gitbook.io/knowledge-hub/api-documentation/xml-structure/local-integration/signorder.md).

# Signorder

*This describes* [*SignOrder schema version 1.1*](https://mbintegrationdataprod.blob.core.windows.net/schemas/signOrder-v1.1.xsd)*.*

A signorder file can reference a number of products, which display groups that should be used to print them, and how many copies should be printed. Additionally you can specify values for the product fields (e.g. *price*, *text1*, etc.). Note that these values will not override existing product fields, but will only populate empty fields. The exception to this is the *price* field, which will override existing prices.

Other notes:

* To specify values for code fields (*Code1*, *EAN13*, etc.) you need to use the `<code>` element, rather than the `<field>` element.
* To get multiple products onto one template they need to be grouped in a `products` element. Which display group to use should then be specified for the `products` element, and not the individual `product` elements. In this case the `product` elements need to have the `productIndex` attribute, in order to specify which product index to use in the template(s).
* The `usageDate` attribute can be used to get prices from future dates. If omitted, todays date will be used.
* If the `autoPrint` attribute is false, there is no need to specify display groups.

```markup
<?xml version="1.0" encoding="utf-8"?>
<signOrder xmlns="http://shoppa.com/signOrderSchema" createDate="1997-08-26T01:31:12.71" usageDate="2019-12-24" autoPrint="true">
    <product idType="Code1" id="12345" copies="1" displayGroup="38988a59-5c03-4876-bb34-c016575b5936" />
    <product idType="Code1" id="23456" copies="1" displayGroup="73c94b65-560c-4f74-a667-198676fd5eac">
        <field name="price" value="95.00" />
        <field name="text1" value="Battery included" />
        <code name="EAN13" value="1234567890128" />
    </product>
    <products copies="1" displayGroup="1fa465e2-ce62-484e-a0b6-a26da2dc9c6c">
        <product idType="Code1" id="34567" productIndex="1" />
        <product idType="Code1" id="45678" productIndex="2" />
    </products>
    <products copies="1" displayGroup="1fa465e2-ce62-484e-a0b6-a26da2dc9c6c">
        <product idType="Code1" id="56789" productIndex="1" />
        <product idType="Code1" id="67890" productIndex="2">
            <field name="price" value="49.90" />
            <code name="EAN13" value="2345678901234" />
        </product>
    </products>
</signOrder>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://shoppa.gitbook.io/knowledge-hub/api-documentation/xml-structure/local-integration/signorder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
